<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: RTCEAGLVideoView Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#properties">Properties</a> &#124;
<a href="interface_r_t_c_e_a_g_l_video_view-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RTCEAGLVideoView Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_r_t_c_e_a_g_l_video_view_8h_source.html">RTCEAGLVideoView.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for RTCEAGLVideoView:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_r_t_c_e_a_g_l_video_view.png" usemap="#RTCEAGLVideoView_map" alt=""/>
  <map id="RTCEAGLVideoView_map" name="RTCEAGLVideoView_map">
<area href="protocol_r_t_c_video_renderer-p.html" alt="&lt;RTCVideoRenderer&gt;" shape="rect" coords="146,56,282,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a5c6629aecb2e140b8d9cd5405187d37d"><td class="memItemLeft" align="right" valign="top"><a id="a5c6629aecb2e140b8d9cd5405187d37d"></a>
id&lt; <a class="el" href="protocol_r_t_c_e_a_g_l_video_view_delegate-p.html">RTCEAGLVideoViewDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>delegate</b></td></tr>
<tr class="separator:a5c6629aecb2e140b8d9cd5405187d37d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_protocol_r_t_c_video_renderer-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_r_t_c_video_renderer-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_r_t_c_video_renderer-p.html">&lt;RTCVideoRenderer&gt;</a></td></tr>
<tr class="memitem:a0e019c41de8c2e1803642700ca64db59 inherit pub_methods_protocol_r_t_c_video_renderer-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_video_renderer-p.html#a0e019c41de8c2e1803642700ca64db59">setSize:</a></td></tr>
<tr class="separator:a0e019c41de8c2e1803642700ca64db59 inherit pub_methods_protocol_r_t_c_video_renderer-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08a1f4112d437a8c2014e531db1aecbb inherit pub_methods_protocol_r_t_c_video_renderer-p"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_video_renderer-p.html#a08a1f4112d437a8c2014e531db1aecbb">renderFrame:</a></td></tr>
<tr class="separator:a08a1f4112d437a8c2014e531db1aecbb inherit pub_methods_protocol_r_t_c_video_renderer-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="interface_r_t_c_e_a_g_l_video_view.html">RTCEAGLVideoView</a> is an <a class="el" href="protocol_r_t_c_video_renderer-p.html">RTCVideoRenderer</a> which renders video frames in its bounds using OpenGLES 2.0. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_r_t_c_e_a_g_l_video_view_8h_source.html">RTCEAGLVideoView.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
